// -*- C++ -*-                                                                 |
//-----------------------------------------------------------------------------+
//                                                                             |
// matr.h                                                                      |
//                                                                             |
// C++ code                                                                    |
//                                                                             |
// Copyright Walter Dehnen, 2001                                               |
// e-mail:   dehnen@mpia.de                                                    |
// address:  Max-Planck Institut fr Astronomie,                               |
//           Knigstuhl 17, D-69117 Heidelberg, Germany                        |
//                                                                             |
//-----------------------------------------------------------------------------+

#ifndef included_matr_h
#define included_matr_h 1

#ifndef included_auxx_h
#include <tree/auxx.h>
#endif

////////////////////////////////////////////////////////////////////////////////

#ifdef TWODIMENSIONAL

#ifndef included_tn2D_h
#include <tree/tn2D.h>
#endif

#ifndef included_et2D_h
#include <tree/et2D.h>
#endif

namespace fasttree {
  typedef class sym22<real>      matr;
  typedef class sym222<real>     tens;
  typedef class epaiR<real>      evec;
  typedef class esym22<real>     emat;
  typedef class esym222<real>    eten;
}

#else

#ifndef included_tn3D_h
#include <tree/tn3D.h>
#endif

#ifndef included_et3D_h
#include <tree/et3D.h>
#endif

namespace fasttree {
  typedef class sym33<real>      matr;
  typedef class sym333<real>     tens;
  typedef class etripel<real>    evec;
  typedef class esym33<real>     emat;
  typedef class esym333<real>    eten;
}

#endif

////////////////////////////////////////////////////////////////////////////////
#endif // included_matr_h
