// -*- C++ -*-                                                                 |
//-----------------------------------------------------------------------------+
//                                                                             |
// node.h                                                                      |
//                                                                             |
// C++ code                                                                    |
//                                                                             |
// Copyright Walter Dehnen, 2000-2001                                          |
// e-mail:   dehnen@mpia.de                                                    |
// address:  Max-Planck Institut fr Astronomie,                               |
//           Knigstuhl 17, D-69117 Heidelberg, Germany                        |
//                                                                             |
//-----------------------------------------------------------------------------+
//                                                                             |
// defines                                                                     |
//                                                                             |
// class node                  fully inline                                    |
//                             base of leaf, soul, cell                        |
//                                                                             |
//-----------------------------------------------------------------------------+

#ifndef included_node_h
#define included_node_h

#ifndef included_auxx_h
#include <tree/auxx.h>
#endif
////////////////////////////////////////////////////////////////////////////////
namespace fasttree {
  class node {
  private:
    vect         POS;                              // position                  
  public:
    node(const node&);                             // not implemented           
    node() {}                                      // default constructor       
    node(const vect&X) : POS(X) {}                 // constructor from position 
    vect&              pos()             { return POS; }
    const vect&        pos() const       { return POS; }
    friend const vect& pos(const node*N) { return N->POS; }
  };
}
////////////////////////////////////////////////////////////////////////////////
#endif // included_node_h
